Bug 465710 - Review Request: perl-qooxdoo-compat - Perl backend for Qooxdoo
Review Request: perl-qooxdoo-compat - Perl backend for Qooxdoo
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
: 758451 (view as bug list)
Depends On:
Blocks: 441378
  Show dependency treegraph
 
Reported: 2008-10-05 16:49 EDT by Terje Røsten
Modified: 2011-12-02 08:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-18 07:03:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2008-10-05 16:49:46 EDT
spec: http://terjeros.fedorapeople.org/perl-qooxdoo-compat/perl-qooxdoo-compat.spec
srpm: http://terjeros.fedorapeople.org/perl-qooxdoo-compat/perl-qooxdoo-compat-0.7.3-1.fc9.src.rpm
description:

This package provides the Perl backend for Qooxdoo, a comprehensive
and innovative Ajax application framework. This package supports
Qooxdoo 0.7.


koji: N/A, koji seems to be down.
Comment 1 Ralf Corsepius 2008-10-06 03:57:15 EDT
This is wrong:

%files
...
%{perl_vendorlib}/Qooxdoo/JSONRPC.pm

The package must own %{perl_vendorlib}/Qooxdoo.
Comment 2 manuel wolfshant 2008-10-06 06:34:15 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM:
perl-qooxdoo-compat.src: E: unknown-key GPG#7666df64
-> ignorable
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Pac
kaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: LGPLv2 or EPL
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the
license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [!] Sources used to build the package matches the upstream source, as provided in the spec URL.
     2ab0cc8b437e09fbba1b9ccef064c826eaf06b8d qooxdoo-0.7.3-backend.zip
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines
.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [!] Package must own all directories that it creates.
See issue 1
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [?] Package should compile and build into binary rpms on all supported architectures.
     Not tested on anything but devel.x86_64, but it is a standard noarch perl module, should build everywhere
 [?] Package functions as described.
Not yet tested, I have to rebuild smokeping. but since it's basically the same module as before, there should be no surprises
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

ISSUES
1. The module is stored as /usr/lib/perl5/vendor_perl/5.10.0/Qooxdoo/JSONRPC.pm but the folder itself is not owned. Thanks Ralf for the second set of eyes.


Please fix the above before commiting to CVS.
Package is APPROVED.
Comment 3 Terje Røsten 2008-10-06 11:12:10 EDT
Thanks wolfy and Ralf!

Updated package

- Fix ownership of dir

spec: n/a, seems like sshd @ fedorapeople.org is down
srpm: http://koji.fedoraproject.org/koji/getfile?taskID=863922&name=perl-qooxdoo-compat-0.7.3-2.fc10.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=863921


New Package CVS Request
=======================
Package Name: perl-qooxdoo-compat
Short Description: Perl backend for Qooxdoo
Owners: terjeros
Branches: F-8 F-9
InitialCC:
Comment 4 Kevin Fenzi 2008-10-07 13:46:43 EDT
cvs done.
Comment 5 Terje Røsten 2008-10-07 14:13:39 EDT
I can't build, make build ends with:

867022 build (dist-f10, devel:perl-qooxdoo-compat-0_7_3-2_fc10): open (x86-3.fedora.phx.redhat.com) -> FAILED: BuildError: package perl-qooxdoo-compat not in list for tag dist-f10

If I try: (setting f11 by hand) 

/usr/bin/koji  build  dist-f11 'cvs://cvs.fedoraproject.org/cvs/pkgs?rpms/perl-qooxdoo-compat/devel#perl-qooxdoo-compat-0_7_3-2_fc10

I get:

867037 build (dist-f11, devel:perl-qooxdoo-compat-0_7_3-2_fc10): open (x86-7.fedora.phx.redhat.com) -> FAILED: GenericError: Unable to complete build: release mismatch (build: 2.fc10, rpm: 2.fc11)

Can't pacakges be imported when we are in some kind of freeze or is this a bug?
Comment 6 Terje Røsten 2008-10-18 07:03:48 EDT
Things is in shape again, imported and built.
Comment 7 Jeff Sheltren 2011-12-01 16:34:07 EST
Package Change Request
======================
Package Name: perl-qooxdoo-compat
New Branches: el5 el6
Owners: micklweiss sheltren
Comment 8 Mick Weiss 2011-12-01 16:54:36 EST
*** Bug 758451 has been marked as a duplicate of this bug. ***
Comment 9 Gwyn Ciesla 2011-12-02 08:05:51 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.